﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Timbrado.EDICOM_Servicio {
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com")]
    public partial class CFDiException : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int codField;
        
        private string textField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int cod {
            get {
                return this.codField;
            }
            set {
                this.codField = value;
                this.RaisePropertyChanged("cod");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=1)]
        public string text {
            get {
                return this.textField;
            }
            set {
                this.textField = value;
                this.RaisePropertyChanged("text");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", ConfigurationName="EDICOM_Servicio.CFDi")]
    public interface CFDi {
        
        // CODEGEN: Parameter 'file' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getUUIDReturn")]
        Timbrado.EDICOM_Servicio.getUUIDResponse getUUID(Timbrado.EDICOM_Servicio.getUUIDRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getUUIDResponse> getUUIDAsync(Timbrado.EDICOM_Servicio.getUUIDRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="changePasswordReturn")]
        bool changePassword(string user, string password, string newPassword);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="changePasswordReturn")]
        System.Threading.Tasks.Task<bool> changePasswordAsync(string user, string password, string newPassword);
        
        // CODEGEN: Parameter 'getTimbreCfdiRetencionesTestReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getTimbreCfdiRetencionesTestReturn")]
        Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestResponse getTimbreCfdiRetencionesTest(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestResponse> getTimbreCfdiRetencionesTestAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest request);
        
        // CODEGEN: Parameter 'getCfdiReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getCfdiReturn")]
        Timbrado.EDICOM_Servicio.getCfdiResponse getCfdi(Timbrado.EDICOM_Servicio.getCfdiRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiResponse> getCfdiAsync(Timbrado.EDICOM_Servicio.getCfdiRequest request);
        
        // CODEGEN: Parameter 'getTimbreCfdiTestReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getTimbreCfdiTestReturn")]
        Timbrado.EDICOM_Servicio.getTimbreCfdiTestResponse getTimbreCfdiTest(Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiTestResponse> getTimbreCfdiTestAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest request);
        
        // CODEGEN: Parameter 'uuid' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="cancelaCFDiRetencionesReturn")]
        Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesResponse cancelaCFDiRetenciones(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesResponse> cancelaCFDiRetencionesAsync(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest request);
        
        // CODEGEN: Parameter 'getCfdiRetencionesTestReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getCfdiRetencionesTestReturn")]
        Timbrado.EDICOM_Servicio.getCfdiRetencionesTestResponse getCfdiRetencionesTest(Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiRetencionesTestResponse> getCfdiRetencionesTestAsync(Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest request);
        
        // CODEGEN: Parameter 'sign' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="cancelaCFDiRetencionesSignedReturn")]
        Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedResponse cancelaCFDiRetencionesSigned(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedResponse> cancelaCFDiRetencionesSignedAsync(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest request);
        
        // CODEGEN: Parameter 'exportCfdiReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="exportCfdiReturn")]
        Timbrado.EDICOM_Servicio.exportCfdiResponse exportCfdi(Timbrado.EDICOM_Servicio.exportCfdiRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.exportCfdiResponse> exportCfdiAsync(Timbrado.EDICOM_Servicio.exportCfdiRequest request);
        
        // CODEGEN: Parameter 'file' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getUUIDTestReturn")]
        Timbrado.EDICOM_Servicio.getUUIDTestResponse getUUIDTest(Timbrado.EDICOM_Servicio.getUUIDTestRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getUUIDTestResponse> getUUIDTestAsync(Timbrado.EDICOM_Servicio.getUUIDTestRequest request);
        
        // CODEGEN: Parameter 'getTimbreCfdiReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getTimbreCfdiReturn")]
        Timbrado.EDICOM_Servicio.getTimbreCfdiResponse getTimbreCfdi(Timbrado.EDICOM_Servicio.getTimbreCfdiRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiResponse> getTimbreCfdiAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiRequest request);
        
        // CODEGEN: Parameter 'getCfdiTestReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getCfdiTestReturn")]
        Timbrado.EDICOM_Servicio.getCfdiTestResponse getCfdiTest(Timbrado.EDICOM_Servicio.getCfdiTestRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiTestResponse> getCfdiTestAsync(Timbrado.EDICOM_Servicio.getCfdiTestRequest request);
        
        // CODEGEN: Parameter 'uuid' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="cancelaCFDiReturn")]
        Timbrado.EDICOM_Servicio.cancelaCFDiResponse cancelaCFDi(Timbrado.EDICOM_Servicio.cancelaCFDiRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiResponse> cancelaCFDiAsync(Timbrado.EDICOM_Servicio.cancelaCFDiRequest request);
        
        // CODEGEN: Parameter 'getTimbreCfdiRetencionesReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getTimbreCfdiRetencionesReturn")]
        Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesResponse getTimbreCfdiRetenciones(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesResponse> getTimbreCfdiRetencionesAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest request);
        
        // CODEGEN: Parameter 'sign' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="cancelaCFDiSignedReturn")]
        Timbrado.EDICOM_Servicio.cancelaCFDiSignedResponse cancelaCFDiSigned(Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiSignedResponse> cancelaCFDiSignedAsync(Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest request);
        
        // CODEGEN: Parameter 'getCfdiRetencionesReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getCfdiRetencionesReturn")]
        Timbrado.EDICOM_Servicio.getCfdiRetencionesResponse getCfdiRetenciones(Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiRetencionesResponse> getCfdiRetencionesAsync(Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest request);
        
        // CODEGEN: Parameter 'getCfdiFromUUIDReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getCfdiFromUUIDReturn")]
        Timbrado.EDICOM_Servicio.getCfdiFromUUIDResponse getCfdiFromUUID(Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiFromUUIDResponse> getCfdiFromUUIDAsync(Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest request);
        
        // CODEGEN: Parameter 'getCfdiAckReturn' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(Timbrado.EDICOM_Servicio.CFDiException), Action="", Name="fault")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="getCfdiAckReturn")]
        Timbrado.EDICOM_Servicio.getCfdiAckResponse getCfdiAck(Timbrado.EDICOM_Servicio.getCfdiAckRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiAckResponse> getCfdiAckAsync(Timbrado.EDICOM_Servicio.getCfdiAckRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUUID", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getUUIDRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getUUIDRequest() {
        }
        
        public getUUIDRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUUIDResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getUUIDResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string getUUIDReturn;
        
        public getUUIDResponse() {
        }
        
        public getUUIDResponse(string getUUIDReturn) {
            this.getUUIDReturn = getUUIDReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdiRetencionesTest", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiRetencionesTestRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getTimbreCfdiRetencionesTestRequest() {
        }
        
        public getTimbreCfdiRetencionesTestRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdiRetencionesTestResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiRetencionesTestResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getTimbreCfdiRetencionesTestReturn;
        
        public getTimbreCfdiRetencionesTestResponse() {
        }
        
        public getTimbreCfdiRetencionesTestResponse(byte[] getTimbreCfdiRetencionesTestReturn) {
            this.getTimbreCfdiRetencionesTestReturn = getTimbreCfdiRetencionesTestReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdi", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getCfdiRequest() {
        }
        
        public getCfdiRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getCfdiReturn;
        
        public getCfdiResponse() {
        }
        
        public getCfdiResponse(byte[] getCfdiReturn) {
            this.getCfdiReturn = getCfdiReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdiTest", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiTestRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getTimbreCfdiTestRequest() {
        }
        
        public getTimbreCfdiTestRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdiTestResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiTestResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getTimbreCfdiTestReturn;
        
        public getTimbreCfdiTestResponse() {
        }
        
        public getTimbreCfdiTestResponse(byte[] getTimbreCfdiTestReturn) {
            this.getTimbreCfdiTestReturn = getTimbreCfdiTestReturn;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2102.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com")]
    public partial class CancelaResponse : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string ackField;
        
        private string textField;
        
        private string[] uuidsField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=0)]
        public string ack {
            get {
                return this.ackField;
            }
            set {
                this.ackField = value;
                this.RaisePropertyChanged("ack");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=1)]
        public string text {
            get {
                return this.textField;
            }
            set {
                this.textField = value;
                this.RaisePropertyChanged("text");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(IsNullable=true, Order=2)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", IsNullable=false)]
        public string[] uuids {
            get {
                return this.uuidsField;
            }
            set {
                this.uuidsField = value;
                this.RaisePropertyChanged("uuids");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDiRetenciones", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiRetencionesRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        public string rfc;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=3)]
        [System.Xml.Serialization.XmlElementAttribute("uuid")]
        public string[] uuid;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=4)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] pfx;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=5)]
        public string pfxPassword;
        
        public cancelaCFDiRetencionesRequest() {
        }
        
        public cancelaCFDiRetencionesRequest(string user, string password, string rfc, string[] uuid, byte[] pfx, string pfxPassword) {
            this.user = user;
            this.password = password;
            this.rfc = rfc;
            this.uuid = uuid;
            this.pfx = pfx;
            this.pfxPassword = pfxPassword;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDiRetencionesResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiRetencionesResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiRetencionesReturn;
        
        public cancelaCFDiRetencionesResponse() {
        }
        
        public cancelaCFDiRetencionesResponse(Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiRetencionesReturn) {
            this.cancelaCFDiRetencionesReturn = cancelaCFDiRetencionesReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiRetencionesTest", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiRetencionesTestRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getCfdiRetencionesTestRequest() {
        }
        
        public getCfdiRetencionesTestRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiRetencionesTestResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiRetencionesTestResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getCfdiRetencionesTestReturn;
        
        public getCfdiRetencionesTestResponse() {
        }
        
        public getCfdiRetencionesTestResponse(byte[] getCfdiRetencionesTestReturn) {
            this.getCfdiRetencionesTestReturn = getCfdiRetencionesTestReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDiRetencionesSigned", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiRetencionesSignedRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] sign;
        
        public cancelaCFDiRetencionesSignedRequest() {
        }
        
        public cancelaCFDiRetencionesSignedRequest(string user, string password, byte[] sign) {
            this.user = user;
            this.password = password;
            this.sign = sign;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDiRetencionesSignedResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiRetencionesSignedResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiRetencionesSignedReturn;
        
        public cancelaCFDiRetencionesSignedResponse() {
        }
        
        public cancelaCFDiRetencionesSignedResponse(Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiRetencionesSignedReturn) {
            this.cancelaCFDiRetencionesSignedReturn = cancelaCFDiRetencionesSignedReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="exportCfdi", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class exportCfdiRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        public string rfc;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=3)]
        public System.DateTime iniDate;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=4)]
        public System.DateTime endDate;
        
        public exportCfdiRequest() {
        }
        
        public exportCfdiRequest(string user, string password, string rfc, System.DateTime iniDate, System.DateTime endDate) {
            this.user = user;
            this.password = password;
            this.rfc = rfc;
            this.iniDate = iniDate;
            this.endDate = endDate;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="exportCfdiResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class exportCfdiResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] exportCfdiReturn;
        
        public exportCfdiResponse() {
        }
        
        public exportCfdiResponse(byte[] exportCfdiReturn) {
            this.exportCfdiReturn = exportCfdiReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUUIDTest", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getUUIDTestRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getUUIDTestRequest() {
        }
        
        public getUUIDTestRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUUIDTestResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getUUIDTestResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string getUUIDTestReturn;
        
        public getUUIDTestResponse() {
        }
        
        public getUUIDTestResponse(string getUUIDTestReturn) {
            this.getUUIDTestReturn = getUUIDTestReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdi", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getTimbreCfdiRequest() {
        }
        
        public getTimbreCfdiRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdiResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getTimbreCfdiReturn;
        
        public getTimbreCfdiResponse() {
        }
        
        public getTimbreCfdiResponse(byte[] getTimbreCfdiReturn) {
            this.getTimbreCfdiReturn = getTimbreCfdiReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiTest", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiTestRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getCfdiTestRequest() {
        }
        
        public getCfdiTestRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiTestResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiTestResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getCfdiTestReturn;
        
        public getCfdiTestResponse() {
        }
        
        public getCfdiTestResponse(byte[] getCfdiTestReturn) {
            this.getCfdiTestReturn = getCfdiTestReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDi", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        public string rfc;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=3)]
        [System.Xml.Serialization.XmlElementAttribute("uuid")]
        public string[] uuid;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=4)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] pfx;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=5)]
        public string pfxPassword;
        
        public cancelaCFDiRequest() {
        }
        
        public cancelaCFDiRequest(string user, string password, string rfc, string[] uuid, byte[] pfx, string pfxPassword) {
            this.user = user;
            this.password = password;
            this.rfc = rfc;
            this.uuid = uuid;
            this.pfx = pfx;
            this.pfxPassword = pfxPassword;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDiResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiReturn;
        
        public cancelaCFDiResponse() {
        }
        
        public cancelaCFDiResponse(Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiReturn) {
            this.cancelaCFDiReturn = cancelaCFDiReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdiRetenciones", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiRetencionesRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getTimbreCfdiRetencionesRequest() {
        }
        
        public getTimbreCfdiRetencionesRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getTimbreCfdiRetencionesResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getTimbreCfdiRetencionesResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getTimbreCfdiRetencionesReturn;
        
        public getTimbreCfdiRetencionesResponse() {
        }
        
        public getTimbreCfdiRetencionesResponse(byte[] getTimbreCfdiRetencionesReturn) {
            this.getTimbreCfdiRetencionesReturn = getTimbreCfdiRetencionesReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDiSigned", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiSignedRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] sign;
        
        public cancelaCFDiSignedRequest() {
        }
        
        public cancelaCFDiSignedRequest(string user, string password, byte[] sign) {
            this.user = user;
            this.password = password;
            this.sign = sign;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="cancelaCFDiSignedResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class cancelaCFDiSignedResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiSignedReturn;
        
        public cancelaCFDiSignedResponse() {
        }
        
        public cancelaCFDiSignedResponse(Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiSignedReturn) {
            this.cancelaCFDiSignedReturn = cancelaCFDiSignedReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiRetenciones", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiRetencionesRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] file;
        
        public getCfdiRetencionesRequest() {
        }
        
        public getCfdiRetencionesRequest(string user, string password, byte[] file) {
            this.user = user;
            this.password = password;
            this.file = file;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiRetencionesResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiRetencionesResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getCfdiRetencionesReturn;
        
        public getCfdiRetencionesResponse() {
        }
        
        public getCfdiRetencionesResponse(byte[] getCfdiRetencionesReturn) {
            this.getCfdiRetencionesReturn = getCfdiRetencionesReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiFromUUID", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiFromUUIDRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        public string rfc;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=3)]
        [System.Xml.Serialization.XmlElementAttribute("uuid")]
        public string[] uuid;
        
        public getCfdiFromUUIDRequest() {
        }
        
        public getCfdiFromUUIDRequest(string user, string password, string rfc, string[] uuid) {
            this.user = user;
            this.password = password;
            this.rfc = rfc;
            this.uuid = uuid;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiFromUUIDResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiFromUUIDResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getCfdiFromUUIDReturn;
        
        public getCfdiFromUUIDResponse() {
        }
        
        public getCfdiFromUUIDResponse(byte[] getCfdiFromUUIDReturn) {
            this.getCfdiFromUUIDReturn = getCfdiFromUUIDReturn;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiAck", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiAckRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        public string user;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=1)]
        public string password;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute("uuid")]
        public string[] uuid;
        
        public getCfdiAckRequest() {
        }
        
        public getCfdiAckRequest(string user, string password, string[] uuid) {
            this.user = user;
            this.password = password;
            this.uuid = uuid;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCfdiAckResponse", WrapperNamespace="http://cfdi.service.ediwinws.edicom.com", IsWrapped=true)]
    public partial class getCfdiAckResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://cfdi.service.ediwinws.edicom.com", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")]
        public byte[] getCfdiAckReturn;
        
        public getCfdiAckResponse() {
        }
        
        public getCfdiAckResponse(byte[] getCfdiAckReturn) {
            this.getCfdiAckReturn = getCfdiAckReturn;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface CFDiChannel : Timbrado.EDICOM_Servicio.CFDi, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class CFDiClient : System.ServiceModel.ClientBase<Timbrado.EDICOM_Servicio.CFDi>, Timbrado.EDICOM_Servicio.CFDi {
        
        public CFDiClient() {
        }
        
        public CFDiClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public CFDiClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CFDiClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CFDiClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getUUIDResponse Timbrado.EDICOM_Servicio.CFDi.getUUID(Timbrado.EDICOM_Servicio.getUUIDRequest request) {
            return base.Channel.getUUID(request);
        }
        
        public string getUUID(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getUUIDRequest inValue = new Timbrado.EDICOM_Servicio.getUUIDRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getUUIDResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getUUID(inValue);
            return retVal.getUUIDReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getUUIDResponse> Timbrado.EDICOM_Servicio.CFDi.getUUIDAsync(Timbrado.EDICOM_Servicio.getUUIDRequest request) {
            return base.Channel.getUUIDAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getUUIDResponse> getUUIDAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getUUIDRequest inValue = new Timbrado.EDICOM_Servicio.getUUIDRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getUUIDAsync(inValue);
        }
        
        public bool changePassword(string user, string password, string newPassword) {
            return base.Channel.changePassword(user, password, newPassword);
        }
        
        public System.Threading.Tasks.Task<bool> changePasswordAsync(string user, string password, string newPassword) {
            return base.Channel.changePasswordAsync(user, password, newPassword);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestResponse Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdiRetencionesTest(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest request) {
            return base.Channel.getTimbreCfdiRetencionesTest(request);
        }
        
        public byte[] getTimbreCfdiRetencionesTest(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdiRetencionesTest(inValue);
            return retVal.getTimbreCfdiRetencionesTestReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestResponse> Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdiRetencionesTestAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest request) {
            return base.Channel.getTimbreCfdiRetencionesTestAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestResponse> getTimbreCfdiRetencionesTestAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdiRetencionesTestAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getCfdiResponse Timbrado.EDICOM_Servicio.CFDi.getCfdi(Timbrado.EDICOM_Servicio.getCfdiRequest request) {
            return base.Channel.getCfdi(request);
        }
        
        public byte[] getCfdi(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getCfdiResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdi(inValue);
            return retVal.getCfdiReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiResponse> Timbrado.EDICOM_Servicio.CFDi.getCfdiAsync(Timbrado.EDICOM_Servicio.getCfdiRequest request) {
            return base.Channel.getCfdiAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiResponse> getCfdiAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getTimbreCfdiTestResponse Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdiTest(Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest request) {
            return base.Channel.getTimbreCfdiTest(request);
        }
        
        public byte[] getTimbreCfdiTest(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getTimbreCfdiTestResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdiTest(inValue);
            return retVal.getTimbreCfdiTestReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiTestResponse> Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdiTestAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest request) {
            return base.Channel.getTimbreCfdiTestAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiTestResponse> getTimbreCfdiTestAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdiTestAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesResponse Timbrado.EDICOM_Servicio.CFDi.cancelaCFDiRetenciones(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest request) {
            return base.Channel.cancelaCFDiRetenciones(request);
        }
        
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiRetenciones(string user, string password, string rfc, string[] uuid, byte[] pfx, string pfxPassword) {
            Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.uuid = uuid;
            inValue.pfx = pfx;
            inValue.pfxPassword = pfxPassword;
            Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDiRetenciones(inValue);
            return retVal.cancelaCFDiRetencionesReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesResponse> Timbrado.EDICOM_Servicio.CFDi.cancelaCFDiRetencionesAsync(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest request) {
            return base.Channel.cancelaCFDiRetencionesAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesResponse> cancelaCFDiRetencionesAsync(string user, string password, string rfc, string[] uuid, byte[] pfx, string pfxPassword) {
            Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.uuid = uuid;
            inValue.pfx = pfx;
            inValue.pfxPassword = pfxPassword;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDiRetencionesAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getCfdiRetencionesTestResponse Timbrado.EDICOM_Servicio.CFDi.getCfdiRetencionesTest(Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest request) {
            return base.Channel.getCfdiRetencionesTest(request);
        }
        
        public byte[] getCfdiRetencionesTest(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getCfdiRetencionesTestResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiRetencionesTest(inValue);
            return retVal.getCfdiRetencionesTestReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiRetencionesTestResponse> Timbrado.EDICOM_Servicio.CFDi.getCfdiRetencionesTestAsync(Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest request) {
            return base.Channel.getCfdiRetencionesTestAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiRetencionesTestResponse> getCfdiRetencionesTestAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiRetencionesTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiRetencionesTestAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedResponse Timbrado.EDICOM_Servicio.CFDi.cancelaCFDiRetencionesSigned(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest request) {
            return base.Channel.cancelaCFDiRetencionesSigned(request);
        }
        
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiRetencionesSigned(string user, string password, byte[] sign) {
            Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.sign = sign;
            Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDiRetencionesSigned(inValue);
            return retVal.cancelaCFDiRetencionesSignedReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedResponse> Timbrado.EDICOM_Servicio.CFDi.cancelaCFDiRetencionesSignedAsync(Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest request) {
            return base.Channel.cancelaCFDiRetencionesSignedAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedResponse> cancelaCFDiRetencionesSignedAsync(string user, string password, byte[] sign) {
            Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiRetencionesSignedRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.sign = sign;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDiRetencionesSignedAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.exportCfdiResponse Timbrado.EDICOM_Servicio.CFDi.exportCfdi(Timbrado.EDICOM_Servicio.exportCfdiRequest request) {
            return base.Channel.exportCfdi(request);
        }
        
        public byte[] exportCfdi(string user, string password, string rfc, System.DateTime iniDate, System.DateTime endDate) {
            Timbrado.EDICOM_Servicio.exportCfdiRequest inValue = new Timbrado.EDICOM_Servicio.exportCfdiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.iniDate = iniDate;
            inValue.endDate = endDate;
            Timbrado.EDICOM_Servicio.exportCfdiResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).exportCfdi(inValue);
            return retVal.exportCfdiReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.exportCfdiResponse> Timbrado.EDICOM_Servicio.CFDi.exportCfdiAsync(Timbrado.EDICOM_Servicio.exportCfdiRequest request) {
            return base.Channel.exportCfdiAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.exportCfdiResponse> exportCfdiAsync(string user, string password, string rfc, System.DateTime iniDate, System.DateTime endDate) {
            Timbrado.EDICOM_Servicio.exportCfdiRequest inValue = new Timbrado.EDICOM_Servicio.exportCfdiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.iniDate = iniDate;
            inValue.endDate = endDate;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).exportCfdiAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getUUIDTestResponse Timbrado.EDICOM_Servicio.CFDi.getUUIDTest(Timbrado.EDICOM_Servicio.getUUIDTestRequest request) {
            return base.Channel.getUUIDTest(request);
        }
        
        public string getUUIDTest(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getUUIDTestRequest inValue = new Timbrado.EDICOM_Servicio.getUUIDTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getUUIDTestResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getUUIDTest(inValue);
            return retVal.getUUIDTestReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getUUIDTestResponse> Timbrado.EDICOM_Servicio.CFDi.getUUIDTestAsync(Timbrado.EDICOM_Servicio.getUUIDTestRequest request) {
            return base.Channel.getUUIDTestAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getUUIDTestResponse> getUUIDTestAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getUUIDTestRequest inValue = new Timbrado.EDICOM_Servicio.getUUIDTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getUUIDTestAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getTimbreCfdiResponse Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdi(Timbrado.EDICOM_Servicio.getTimbreCfdiRequest request) {
            return base.Channel.getTimbreCfdi(request);
        }
        
        public byte[] getTimbreCfdi(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getTimbreCfdiResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdi(inValue);
            return retVal.getTimbreCfdiReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiResponse> Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdiAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiRequest request) {
            return base.Channel.getTimbreCfdiAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiResponse> getTimbreCfdiAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdiAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getCfdiTestResponse Timbrado.EDICOM_Servicio.CFDi.getCfdiTest(Timbrado.EDICOM_Servicio.getCfdiTestRequest request) {
            return base.Channel.getCfdiTest(request);
        }
        
        public byte[] getCfdiTest(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiTestRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getCfdiTestResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiTest(inValue);
            return retVal.getCfdiTestReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiTestResponse> Timbrado.EDICOM_Servicio.CFDi.getCfdiTestAsync(Timbrado.EDICOM_Servicio.getCfdiTestRequest request) {
            return base.Channel.getCfdiTestAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiTestResponse> getCfdiTestAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiTestRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiTestRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiTestAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.cancelaCFDiResponse Timbrado.EDICOM_Servicio.CFDi.cancelaCFDi(Timbrado.EDICOM_Servicio.cancelaCFDiRequest request) {
            return base.Channel.cancelaCFDi(request);
        }
        
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDi(string user, string password, string rfc, string[] uuid, byte[] pfx, string pfxPassword) {
            Timbrado.EDICOM_Servicio.cancelaCFDiRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.uuid = uuid;
            inValue.pfx = pfx;
            inValue.pfxPassword = pfxPassword;
            Timbrado.EDICOM_Servicio.cancelaCFDiResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDi(inValue);
            return retVal.cancelaCFDiReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiResponse> Timbrado.EDICOM_Servicio.CFDi.cancelaCFDiAsync(Timbrado.EDICOM_Servicio.cancelaCFDiRequest request) {
            return base.Channel.cancelaCFDiAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiResponse> cancelaCFDiAsync(string user, string password, string rfc, string[] uuid, byte[] pfx, string pfxPassword) {
            Timbrado.EDICOM_Servicio.cancelaCFDiRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.uuid = uuid;
            inValue.pfx = pfx;
            inValue.pfxPassword = pfxPassword;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDiAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesResponse Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdiRetenciones(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest request) {
            return base.Channel.getTimbreCfdiRetenciones(request);
        }
        
        public byte[] getTimbreCfdiRetenciones(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdiRetenciones(inValue);
            return retVal.getTimbreCfdiRetencionesReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesResponse> Timbrado.EDICOM_Servicio.CFDi.getTimbreCfdiRetencionesAsync(Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest request) {
            return base.Channel.getTimbreCfdiRetencionesAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesResponse> getTimbreCfdiRetencionesAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest inValue = new Timbrado.EDICOM_Servicio.getTimbreCfdiRetencionesRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getTimbreCfdiRetencionesAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.cancelaCFDiSignedResponse Timbrado.EDICOM_Servicio.CFDi.cancelaCFDiSigned(Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest request) {
            return base.Channel.cancelaCFDiSigned(request);
        }
        
        public Timbrado.EDICOM_Servicio.CancelaResponse cancelaCFDiSigned(string user, string password, byte[] sign) {
            Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.sign = sign;
            Timbrado.EDICOM_Servicio.cancelaCFDiSignedResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDiSigned(inValue);
            return retVal.cancelaCFDiSignedReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiSignedResponse> Timbrado.EDICOM_Servicio.CFDi.cancelaCFDiSignedAsync(Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest request) {
            return base.Channel.cancelaCFDiSignedAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.cancelaCFDiSignedResponse> cancelaCFDiSignedAsync(string user, string password, byte[] sign) {
            Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest inValue = new Timbrado.EDICOM_Servicio.cancelaCFDiSignedRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.sign = sign;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).cancelaCFDiSignedAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getCfdiRetencionesResponse Timbrado.EDICOM_Servicio.CFDi.getCfdiRetenciones(Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest request) {
            return base.Channel.getCfdiRetenciones(request);
        }
        
        public byte[] getCfdiRetenciones(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            Timbrado.EDICOM_Servicio.getCfdiRetencionesResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiRetenciones(inValue);
            return retVal.getCfdiRetencionesReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiRetencionesResponse> Timbrado.EDICOM_Servicio.CFDi.getCfdiRetencionesAsync(Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest request) {
            return base.Channel.getCfdiRetencionesAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiRetencionesResponse> getCfdiRetencionesAsync(string user, string password, byte[] file) {
            Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiRetencionesRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.file = file;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiRetencionesAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getCfdiFromUUIDResponse Timbrado.EDICOM_Servicio.CFDi.getCfdiFromUUID(Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest request) {
            return base.Channel.getCfdiFromUUID(request);
        }
        
        public byte[] getCfdiFromUUID(string user, string password, string rfc, string[] uuid) {
            Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.uuid = uuid;
            Timbrado.EDICOM_Servicio.getCfdiFromUUIDResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiFromUUID(inValue);
            return retVal.getCfdiFromUUIDReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiFromUUIDResponse> Timbrado.EDICOM_Servicio.CFDi.getCfdiFromUUIDAsync(Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest request) {
            return base.Channel.getCfdiFromUUIDAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiFromUUIDResponse> getCfdiFromUUIDAsync(string user, string password, string rfc, string[] uuid) {
            Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiFromUUIDRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.rfc = rfc;
            inValue.uuid = uuid;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiFromUUIDAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        Timbrado.EDICOM_Servicio.getCfdiAckResponse Timbrado.EDICOM_Servicio.CFDi.getCfdiAck(Timbrado.EDICOM_Servicio.getCfdiAckRequest request) {
            return base.Channel.getCfdiAck(request);
        }
        
        public byte[] getCfdiAck(string user, string password, string[] uuid) {
            Timbrado.EDICOM_Servicio.getCfdiAckRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiAckRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.uuid = uuid;
            Timbrado.EDICOM_Servicio.getCfdiAckResponse retVal = ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiAck(inValue);
            return retVal.getCfdiAckReturn;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiAckResponse> Timbrado.EDICOM_Servicio.CFDi.getCfdiAckAsync(Timbrado.EDICOM_Servicio.getCfdiAckRequest request) {
            return base.Channel.getCfdiAckAsync(request);
        }
        
        public System.Threading.Tasks.Task<Timbrado.EDICOM_Servicio.getCfdiAckResponse> getCfdiAckAsync(string user, string password, string[] uuid) {
            Timbrado.EDICOM_Servicio.getCfdiAckRequest inValue = new Timbrado.EDICOM_Servicio.getCfdiAckRequest();
            inValue.user = user;
            inValue.password = password;
            inValue.uuid = uuid;
            return ((Timbrado.EDICOM_Servicio.CFDi)(this)).getCfdiAckAsync(inValue);
        }
    }
}
